* {
  box-sizing: border-box;
  margin: 0;
}

#app {
  display: flex;
  background-color: white;
  font-family: ui-sans-serif;
  color: #73726e;
  height: 100vh;
}

textarea {
  border: none;
  width: 100%;
  height: 100%;
}

button {
  width: 20px;
  height: 20px;
  background: none;
  padding: 0;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}

button:hover {
  background-color: #e9e9e9;
}

button:focus {
  outline: none;
}

.sideBar-container {
  width: 240px;
  background-color: #fbfbf9;
  height: auto;
  min-height: 80vh;
  display: flex;
  flex-direction: column;
  margin: 0;
}

.editor-container {
  width: 85%;
  background-color: #ffffff;
  min-height: 80vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.editor-contents {
  width: 100%;
  min-height: 80vh;
  margin: 0 auto;
  padding: 100px 130px;
  display: flex;
  flex-direction: column;
  align-items: left;
}

.editor-title {
  width: 80vh;
  padding: 15px 0px;
  margin-bottom: 15px;
  font-size: 40px;
  font-weight: 700;
  border: none;
  outline: none;
}

.editor-content {
  width: 80vh;
  height: 80vh;
  font-size: 16px;
  border: none;
  border-radius: 4px;
  outline: none;
}

.main-img {
  width: 40%;
  height: 50vh;
}
header {
  padding: 10px 15px;
}

.sideBar {
  width: 240px;
  height: 45px;
  line-height: 24px;
}

.header-content {
  height: 21px;
}

.header-content span {
  color: #000000;
  font-size: 16px;
  font-weight: 500;
}

footer {
  position: fixed;
  bottom: 0;
  border-top: 1px solid #e9e9e9;
  padding-left: 10px;
  font-size: 12px;
}

.add-root-btn {
  width: 100%;
  height: 100%;

  display: flex;
  align-items: center;
  color: #a5a4a0;
}

.add-root-btn .add-mark {
  margin: 2px;
  font-size: 25px;
  width: 25px;
  height: 25px;
}

.add-root-btn .footer-text {
}

.list {
  overflow-x: hidden;
  overflow-y: auto;
  width: 100%;
  height: 100%;
  margin-bottom: 45px;
  padding-top: 10px;
}

ul {
  list-style: none;
  padding-left: 10px;
}

ul li {
  line-height: 21px;
  font-size: 14px;
  width: 100%;
}

ul li > .list-item:hover {
  background-color: #f1f1ef;
}

ul li > .list-item:active {
  background-color: #cac9c4;
}

.list-item {
  display: flex;
  width: 100%;
  align-items: center;
  height: 27px;
  padding: 0 2px;
}

.text-title {
  display: flex;
  align-items: center;
  max-width: 90%;
  height: 100%;
  overflow: hidden;
  margin-left: 2px;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.toggler {
  padding: 2px;
  width: 20px;
  height: 20px;
}

.toggler::before {
  content: '\02C3';
  display: inline-block;
  transition: transform 0.3s ease-in-out;
}

.toggler.active::before {
  transform: rotate(90deg);
}

.add-btn {
  justify-content: flex-end;
}

.list-buttons {
  display: none;
}

/* 라벨 없애보기로 가능할듯 */
.list-item:hover > .list-buttons {
  width: 20%;
  display: flex;
  justify-content: flex-end;
  margin-left: auto;
  margin-right: 10px;
}

.list-item:hover > .text-title {
  width: 80%;
}

.list-item.bold {
  font-weight: bold;
  background-color: #f1f1ef;
}

.modal-container {
  background-color: rgba(0, 0, 0, 0.4);
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
}

.modal-container.show-modal {
  display: block;
  opacity: 1;
}

.modal {
  background-color: #ffffff;
  border: none;
  position: absolute;
  overflow: hidden;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  max-width: 100%;
  width: 960px;
  animation-name: modalopen;
  animation-duration: 1s;
}

.modal-header {
  padding: 10px;
  display: flex;
  justify-content: space-between;
}

.close-btn {
  color: #878682;
}

.modal-editor {
  height: 75vh;
  padding: 20px 100px;
}

.modal-editor > .editor-title::placeholder {
  color: #e9e9e9;
}

@keyframes modalopen {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
